Bug 190693 - freetype memory allocaton integer overflow
Summary: freetype memory allocaton integer overflow
Status: CLOSED DUPLICATE of bug 190593
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: freetype   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Carl Worth
QA Contact: Brock Organ
URL:
Whiteboard: source=vendorsec,reported=20060305,im...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-04 15:02 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 16:42:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch extracted from upstream CVS (57.34 KB, patch)
2006-05-04 15:02 UTC, Josh Bressers
no flags Details | Diff

Description Josh Bressers 2006-05-04 15:02:37 UTC
Upstream has fixed a number of potential integer overflows when allocating
memory by modifying how memory is now allocated.

The patch take from CVS, then clean up is very large.  I don't know the source
well enough to determine how much of this is needed for our packages.

Comment 1 Josh Bressers 2006-05-04 15:02:39 UTC
Created attachment 128606 [details]
Patch extracted from upstream CVS

Comment 2 Josh Bressers 2006-05-04 16:42:23 UTC
We're including this as part of CVE-2006-1861 so I'm marking this a duplicate of
bug 190593

*** This bug has been marked as a duplicate of 190593 ***

Comment 3 Josh Bressers 2006-05-27 20:46:01 UTC
Lifting embargo


Note You need to log in before you can comment on or make changes to this bug.